Page MenuHomePhabricator

add tracking to opt in page
Closed, ResolvedPublic2 Story Points

Description

we need to capture

  • utm_medium
  • the variant of the page
  • utm_campaing

@CCogdill_WMF can you confirm this is what you would need?

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterAdd traking fields to opt-in consumer
wikimedia/fundraising/crm : masterAdd custom comminication fields for opt-in tracking
mediawiki/extensions/DonationInterface : masterAdd tracking fields to opt-in messages

Related Objects

Event Timeline

DStrine created this task.Jun 25 2019, 8:34 PM
DStrine set the point value for this task to 2.

Assuming 'the variant of the page' = utm_source, yes! In other words, we
need to track our 3 main utms:
utm_medium
utm_campaign
utm_source

In terms of priority, utm_source is all I really need to start analyzing
results on the page. If we need to tackle this in phases, please do that
first.

DStrine renamed this task from add tacking to opt in page to add tracking to opt in page.Jun 25 2019, 9:46 PM

thanks for this!

XenoRyet claimed this task.Jun 28 2019, 6:07 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Men In Slack board.

Change 519680 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] Add tracking fields to opt-in messages

https://gerrit.wikimedia.org/r/519680

Thinking about where this should live, and in what form.

@CCogdill_WMF I'm mostly thinking that it's possible for someone to opt in, opt out, and opt back in again. Do we need tracking info for that whole chain, or is it good enough to just have the utm_* fields for the latest opt-in?

Hmm I guess in a totally ideal world, we would keep a record of all engagements, but I could work with just the latest.

Ok, I'll start with just the latest so we can have something in place. We'll make the full record a version 2 feature.

Change 519680 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add tracking fields to opt-in messages

https://gerrit.wikimedia.org/r/519680

Change 520315 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[wikimedia/fundraising/crm@master] Add traking fields to opt-in consumer

https://gerrit.wikimedia.org/r/520315

Hey all! I see something happened with this task last week. Should I be checking for data?

@CCogdill_WMF Almost! The back-end changes haven't quite been merged and deployed yet. I have to get the new fields added to civi, then make sure the opt-in consumer passes tests. I've got it all working end-to-end locally though and it's working fine. Should be pretty quick to finish everything up and get it out.

Awesome! You think we might be able to get new data in by EOW?

Yea, definitely by EOW. Most likely sooner unless something weird crops up.

Change 521538 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[wikimedia/fundraising/crm@master] Add custom comminication fields for opt-in tracking

https://gerrit.wikimedia.org/r/521538

Change 521538 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add custom comminication fields for opt-in tracking

https://gerrit.wikimedia.org/r/521538

mepps added a subscriber: mepps.Jul 10 2019, 1:38 PM

@XenoRyet I see patches merged. Should this be moved to "Pending Deployment"?

Change 520315 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add traking fields to opt-in consumer

https://gerrit.wikimedia.org/r/520315

@CCogdill_WMF Ok, this is deployed and working now. If utm_source, utm_medium, and/or utm_campaign are in the url, they'll show up in the communications section in civi. As far as the database goes, they're in that same table with the opt-in field itself.

Awesome! Are the stats from the one test we ran backfilled, or is that test a dud?

No backfilled stats. This is just tracking stuff going forward. I'm not sure off the top of my head what it would take to backfill, or if it's even possible, but if it's important we can make a task to look into it.

I'll go ahead and close this task now.

XenoRyet closed this task as Resolved.Jul 22 2019, 5:32 PM